menu = {}
   menu.buttons = {
      {text="PLAY",x=love.graphics.getWidth()/2,y=love.graphics.getHeight()*1/4,color={220,190,190},hoverColor={0,0,0},onClick=function() scene=game end},
      {text="EXIT",x=love.graphics.getWidth()/2,y=love.graphics.getHeight()*3/4,color={220,190,190},hoverColor={0,0,0},onClick=function() love.event.push("quit") end},
   }
   menu.font = love.graphics.newFont(24)
   
function menu:update(dt)
   local x,y = love.mouse:getX(),love.mouse:getY()
   self.clickable = nil
   --mouse-button collision
   for i,v in ipairs(self.buttons) do
      if x > v.x - self.font:getWidth(v.text)/2 and
      x < v.x + self.font:getWidth(v.text)/2 and
      y > v.y - self.font:getHeight()/2 and
      y < v.y + self.font:getHeight()/2 then
         self.clickable = v
      end
   end
end

function menu:draw()
   --set font
   love.graphics.setFont(self.font)
   for i,v in ipairs(self.buttons) do
      --set color
      if v == self.clickable then love.graphics.setColor(v.hoverColor)
      else love.graphics.setColor(v.color) end
      --draw button
      love.graphics.print(v.text,v.x,v.y,0,1,1,self.font:getWidth(v.text)/2,self.font:getHeight()/2)
   end
end

function menu:onClick(x,y,button)
   if button == "l" and self.clickable then
      self.clickable.onClick()
   end
end

function menu:keypressed(key)
   if key == "escape" then
      love.event.push("quit")
   end
end

